CVE-2005-0891
CVSS5.0
发布时间 :2005-05-02 00:00:00
修订时间 :2010-08-21 00:27:12
NMCOS    

[原文]Double free vulnerability in gtk 2 (gtk2) before 2.2.4 allows remote attackers to cause a denial of service (crash) via a crafted BMP image.


[CNNVD]GDK-Pixbuf BMP远程拒绝服务漏洞(CNNVD-200505-098)

        gtk 2 (gtk2) 2.2.4 版本之前的双重释放漏洞漏洞允许远程攻击者通过精心制作的BMP图像来引起拒绝服务(崩溃)漏洞。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-119 [内存缓冲区边界内操作的限制不恰当]

- CPE (受影响的平台与产品)

cpe:/a:gtk:gtk%2B:2.0.6
cpe:/a:gtk:gtk%2B:2.2.3
cpe:/a:gtk:gtk%2B:2.2.1
cpe:/a:gtk:gtk%2B:2.0.2

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:9710Double free vulnerability in gtk 2 (gtk2) before 2.2.4 allows remote attackers to cause a denial of service (crash) via a crafted BMP image....
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0891
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0891
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-098
(官方数据源) CNNVD

- 其它链接及资源

http://www.redhat.com/support/errata/RHSA-2005-344.html
(VENDOR_ADVISORY)  REDHAT  RHSA-2005:344
http://www.securityfocus.com/bid/12950
(UNKNOWN)  BID  12950
http://www.securityfocus.com/archive/1/archive/1/419771/100/0/threaded
(UNKNOWN)  FEDORA  FLSA-2005:155510
http://www.redhat.com/support/errata/RHSA-2005-343.html
(UNKNOWN)  REDHAT  RHSA-2005:343
http://www.mandriva.com/security/advisories?name=MDKSA-2005:214
(UNKNOWN)  MANDRIVA  MDKSA-2005:214
http://secunia.com/advisories/17657
(VENDOR_ADVISORY)  SECUNIA  17657
http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000958
(UNKNOWN)  CONECTIVA  CLSA-2005:958

- 漏洞信息

GDK-Pixbuf BMP远程拒绝服务漏洞
中危 设计错误
2005-05-02 00:00:00 2005-10-20 00:00:00
远程  
        gtk 2 (gtk2) 2.2.4 版本之前的双重释放漏洞漏洞允许远程攻击者通过精心制作的BMP图像来引起拒绝服务(崩溃)漏洞。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        ftp://ftp.turbolinux.co.jp/pub/TurboLinux/TurboLinux/ia32/Desktop/10/updates/RPMS/gdk-pixbuf-0.22.0-6.i586.rpm

- 漏洞信息

15174
GdkPixbuf BMP Loader Double Free DoS
Denial of Service
Loss of Availability

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-03-31 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

GDK-Pixbuf BMP Image Processing Double Free Remote Denial of Service Vulnerability
Design Error 12950
Yes No
2005-03-30 12:00:00 2007-02-28 10:05:00
Discovery is credited to David Costanzo.

- 受影响的程序版本

Ubuntu Ubuntu Linux 4.1 ppc
Ubuntu Ubuntu Linux 4.1 ia64
Ubuntu Ubuntu Linux 4.1 ia32
Turbolinux Turbolinux Server 10.0
Turbolinux Turbolinux Desktop 10.0
Turbolinux Turbolinux 10 F...
Turbolinux Home
SGI ProPack 3.0
S.u.S.E. Linux Personal 9.2 x86_64
S.u.S.E. Linux Personal 9.2
S.u.S.E. Linux Personal 9.1 x86_64
S.u.S.E. Linux Personal 9.1
S.u.S.E. Linux Personal 9.0 x86_64
S.u.S.E. Linux Personal 9.0
S.u.S.E. Linux Personal 8.2
S.u.S.E. Linux 8.1
S.u.S.E. Linux 8.0 i386
S.u.S.E. Linux 8.0
S.u.S.E. Linux 7.3 sparc
S.u.S.E. Linux 7.3 ppc
S.u.S.E. Linux 7.3 i386
S.u.S.E. Linux 7.3
S.u.S.E. Linux 7.2 i386
S.u.S.E. Linux 7.2
S.u.S.E. Linux 7.1 x86
S.u.S.E. Linux 7.1 sparc
S.u.S.E. Linux 7.1 ppc
S.u.S.E. Linux 7.1 alpha
S.u.S.E. Linux 7.1
S.u.S.E. Linux 7.0 sparc
S.u.S.E. Linux 7.0 ppc
S.u.S.E. Linux 7.0 i386
S.u.S.E. Linux 7.0 alpha
S.u.S.E. Linux 7.0
S.u.S.E. Linux 6.4 ppc
S.u.S.E. Linux 6.4 i386
S.u.S.E. Linux 6.4 alpha
S.u.S.E. Linux 6.4
S.u.S.E. Linux 6.3 ppc
S.u.S.E. Linux 6.3 alpha
S.u.S.E. Linux 6.3
S.u.S.E. Linux 6.2
S.u.S.E. Linux 6.1 alpha
S.u.S.E. Linux 6.1
RedHat Linux 9.0 i386
RedHat Linux 7.3 i386
RedHat Enterprise Linux WS 4
RedHat Enterprise Linux WS 3
RedHat Enterprise Linux WS 2.1 IA64
RedHat Enterprise Linux WS 2.1
RedHat Enterprise Linux ES 4
RedHat Enterprise Linux ES 3
RedHat Enterprise Linux ES 2.1 IA64
RedHat Enterprise Linux ES 2.1
RedHat Desktop 4.0
RedHat Desktop 3.0
RedHat Advanced Workstation for the Itanium Processor 2.1 IA64
RedHat Advanced Workstation for the Itanium Processor 2.1
Red Hat Fedora Core3
Red Hat Fedora Core2
Red Hat Fedora Core1
Red Hat Enterprise Linux AS 4
Red Hat Enterprise Linux AS 3
Red Hat Enterprise Linux AS 2.1 IA64
Red Hat Enterprise Linux AS 2.1
MandrakeSoft Corporate Server 2.1 x86_64
MandrakeSoft Corporate Server 2.1
GTK GTK+ 2.4.14
GNOME GdkPixbuf 0.22
+ MandrakeSoft Corporate Server 3.0 x86_64
+ MandrakeSoft Corporate Server 3.0
+ Mandriva Linux Mandrake 10.1 x86_64
+ Mandriva Linux Mandrake 10.1
+ Mandriva Linux Mandrake 10.0 AMD64
+ Mandriva Linux Mandrake 10.0
Conectiva Linux 10.0
Conectiva Linux 9.0

- 漏洞讨论

The gdk-pixbuf library is reported prone to a denial-of-service vulnerability. This issue arises due to a double-free condition.

Reportedly, this vulnerability presents itself when an application that is linked against the library handles malformed bitmap (.bmp) image files.

A successful attack may result in a denial-of-service condition. It is not confirmed whether this vulnerability could be leveraged to execute arbitrary code.

The gdk-pixbuf 0.22.0 and gtk2 2.4.14 packages are known to be vulnerable to this issue. Other versions are likely affected as well.

This BID will be updated when more information becomes available.

- 漏洞利用


Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com

- 解决方案


Please see the referenced advisories for more information.


Turbolinux Turbolinux 10 F...

GNOME GdkPixbuf 0.22

Turbolinux Turbolinux Server 10.0

Turbolinux Turbolinux Desktop 10.0

GTK GTK+ 2.4.14

Ubuntu Ubuntu Linux 4.1 ia32

Ubuntu Ubuntu Linux 4.1 ia64

Ubuntu Ubuntu Linux 4.1 ppc

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站